--- title: "RegisterPrivateKey" slug: "security-certificatemanager-registerprivatekey" updated: 2026-10-08T04:19:21Z published: 2026-10-08T04:19:21Z canonical: "api.ncloud-docs.com/security-certificatemanager-registerprivatekey" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # RegisterPrivateKey Available in Classic and VPC Register a private key of a certificate. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/certificate/registPrivateKey | ### Request headers For information about the request headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateNo` | Integer | Required | Certificate number | | `privateKey` | String | Required | PEM file of certificate private key | ### Request example The request example is as follows: ``` curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/registPrivateKey' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' \ --data '{ "certificateNo": 1234, "privateKey": "-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEA...\n-----END RSA PRIVATE KEY-----" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalRows` | Integer | - | Total number of lists searched | ### Response status codes For information about the response status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalRows": 0 } ```